Page MenuHomePhabricator

Allow to show incoming links on the graph explorer dialog
Closed, ResolvedPublic

Description

In the current state of the graph explorer, only outgoing links are shown.
Allowing incoming links to be shown as well will make the explorer more informative.

Showing both incoming and outgoing links at once will make the explorer too crowded
so I've added a toggle switch which is used to show either incoming or outgoing links.

I've also moved the toolbar to the top of the explorer, similar to the result browser,
and I've added an extra button to show non-hierarchical layout.

It now looks like this:

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 11:00 AM
prssanna renamed this task from [WIP] Allow to show incoming links on the graph explorer to [WIP] Allow to show incoming links on the graph explorer dialog.Jun 20 2018, 11:06 AM
prssanna updated the task description. (Show Details)

Change 441192 had a related patch set uploaded (by Prssanna; owner: Prssanna):
[wikidata/query/gui@master] Allow incoming links to be shown on the graph explorer dialog

https://gerrit.wikimedia.org/r/441192

Vvjjkkii renamed this task from [WIP] Allow to show incoming links on the graph explorer dialog to hlaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed prssanna as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from hlaaaaaaaa to [WIP] Allow to show incoming links on the graph explorer dialog.Jul 2 2018, 9:24 AM
CommunityTechBot assigned this task to prssanna.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Jonas renamed this task from [WIP] Allow to show incoming links on the graph explorer dialog to Allow to show incoming links on the graph explorer dialog.Jul 2 2018, 9:56 AM
Jonas added a project: Wikidata-Campsite.
Jonas moved this task from Incoming to Peer Review on the Wikidata-Campsite board.
Jonas updated the task description. (Show Details)Jul 2 2018, 9:59 AM

Change 441192 merged by jenkins-bot:
[wikidata/query/gui@master] Allow incoming links to be shown on the graph explorer dialog

https://gerrit.wikimedia.org/r/441192

Change 445317 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from 26a76e06135fde379516d0de9a11e5a1c1aeb8dd:

https://gerrit.wikimedia.org/r/445317

Change 445317 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from 26a76e06135fde379516d0de9a11e5a1c1aeb8dd:

https://gerrit.wikimedia.org/r/445317

Lydia_Pintscher closed this task as Resolved.Aug 9 2018, 1:05 PM